<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Menu\MenuPunkt;


abstract class MenuPunkt
{
  
  protected $beschriftung = '';
  
  protected $accesskey = '';

  
  protected $groupName;

  
  abstract public function createButton($buttonWidth = 150);

  
  abstract public function getType();

  
  public function getBeschriftung()
  {
    return $this->beschriftung;
  }

  
  public function getAccessKey()
  {
    return $this->accesskey;
  }

  
  public function getGroupName(): ?string
  {
    return $this->groupName;
  }

  
  public function setGroupName(?string $groupName): void
  {
    $this->groupName = $groupName;
  }

  
  abstract public function isSameMenupunkt($menupunkt);
}